Get Video Info
curl --request POST \
--url https://public.plai.io/meta/get_video_info \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"userId": "<string>",
"videoId": "<string>"
}
'import requests
url = "https://public.plai.io/meta/get_video_info"
payload = {
"userId": "<string>",
"videoId": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>', videoId: '<string>'})
};
fetch('https://public.plai.io/meta/get_video_info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": {
"success": true,
"video": {
"thumbnails": {
"data": [
{
"id": "<string>",
"height": 123,
"scale": 123,
"uri": "<string>",
"width": 123,
"is_preferred": true
}
]
},
"source": "<string>",
"status": {
"video_status": "<string>",
"uploading_phase": {
"status": "<string>"
},
"processing_phase": {
"status": "<string>"
},
"publishing_phase": {
"status": "<string>",
"publish_status": "<string>",
"publish_time": "<string>"
}
},
"id": "<string>"
},
"error": "<string>"
}
}Media
Get Video Info
This endpoint is used to get video info like dimensions, thumbnail, source url, etc.
POST
/
meta
/
get_video_info
Get Video Info
Request Body
string
required
User ID, If not already created, make a user on create user
page first. If already created,
retrieve the user ID from get profile
page.
string
required
Video ID, If not already created, make a video on upload video
page first.
Response
boolean
Indicates that the HTTP response was successful (status code 200 OK).
object
Show Results Object
Show Results Object
boolean
Indicates whether the specific operation or API action was
successful.
object
Show Video Object
Show Video Object
object
Show Thumbnails Object
Show Thumbnails Object
object[]
Show Thumbnail Data Array
Show Thumbnail Data Array
string
The source URL of the video file.
object
Show Status Object
Show Status Object
string
Current status of the video (e.g., “ready”).
string
The unique identifier for the video.
string
Error string if something went wrong